"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic2' }"

LibraryDefinition subclass:#stx_libbasic2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libbasic2 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libbasic2
    This library contains additional basic (nonGUI) classes.
"
!

extensionsVersion_CVS
    ^ '$Header: /cvs/stx/stx/libbasic2/stx_libbasic2.st,v 1.64 2009-12-11 09:29:13 cg Exp $'
! !

!stx_libbasic2 class methodsFor:'description'!

excludedFromPreRequisites
    ^ #(
	#'stx:goodies/communication'    "FTPClient - referenced by FtpURI>>writeStreamDo:create:atomic: "
	#'stx:libtool'    "FileBrowser - referenced by Archiver::ArchiverOutputParser>>parseLine:forItemClass: "
	#'stx:libview2'    "MIMETypes - referenced by Archiver::ArchiverOutputParser>>parseLine:forItemClass: "
	#'stx:libwidg'    "DialogBox - referenced by Archiver::CompressedFile>>compressFile:to: "
	#'stx:libhtml'    "HTMLParser - referenced by HTMLUtilities class>>plainTextOfHTML: "
    )
!

preRequisites
    ^ #(
	#'stx:libbasic'    "Object - superclass of HierarchicalURI "
    )
! !

!stx_libbasic2 class methodsFor:'description - compilation'!

additionalBaseAddressDefinition_bc_dot_mak
    "this is an optional definition, which (if present) may speed up the dll-loading a little
     on win32 systems."

    ^ '
# see stdHeader_bc for LIBBASIC2_BASE
LIB_BASE=$(LIBBASIC2_BASE)
'
!

additionalLinkLibraries_bc_dot_mak
"/    ^ '$(ZLIB) $(BZ2LIB)'
    ^ '$(ZLIB_DIR)\$(ZLIB)'
!

additionalLinkLibraries_make_dot_proto
    ^ '$(ZLIB_LD_ARG) $(BZ2LIB_LD_ARG)'
!

additionalRules_bc_dot_mak
    ^ '
$(ZLIB):
	cd $(ZLIB_DIR)
	$(MAKE) $(MAKE_ZLIB_ARG) $(ZLIB)
	cd ..\..\libbasic2

$(BZ2LIB):
	cd $(BZ2LIB_DIR)
	$(MAKE) $(MAKE_BZ2LIB_ARG) bz2.lib
	cd ..\..\libbasic2
'
!

additionalRules_make_dot_proto
    ^ '
zlib:
	cd $(ZLIB_DIR); $(MAKE) $(MAKE_ZLIB_ARG)

bz2lib:
	cd $(BZ2LIB_DIR); $(MAKE) $(MAKE_BZ2LIB_ARG) libbz2.a
'
!

additionalTargets_bc_dot_mak
"/    ^ '$(BZ2LIB) $(ZLIB)'      bz2lib doesn't work for now
    ^ '$(ZLIB)'
!

additionalTargets_make_dot_proto
    ^ 'bz2lib zlib'

    "Created: / 05-09-2006 / 16:05:12 / cg"
!

localIncludes
    ^ '-I$(ZLIB_DIR)'

    "Created: / 06-09-2006 / 18:18:15 / cg"
!

stcOptimizationOptions
    ^ '+optspace2'

    "Created: / 23-08-2006 / 11:06:17 / cg"
! !

!stx_libbasic2 class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        ActorStream
        (AppletalkSocketAddress autoload)
        Archiver
        (BIG5EncodedString autoload)
        (BZip2Stream unix autoload)
        BaseNCoder
        Bezier 
        Bezier2Segment 
        BinaryTree
        BinaryTreeNode
        BitArray
        BooleanArray
        CRC32Stream
        CacheDictionary
        Circle
        (CollectingSharedQueueStream autoload)
        CompressionStream
        (CompressionStreamTest autoload)
        (Cons autoload)
        (ConsStream autoload)
        Curve
        (DecNetSocketAddress autoload)
        DirectoryContents
        EllipticalArc
        (EpsonFX1PrinterStream autoload)
        ExternalLong
        FileSorter
        (FileText autoload)
        FourByteString
        (GBEncodedString autoload)
        (HPLjetIIPrinterStream autoload)
        (HandlerCollection autoload)
        InterestConverterWithParameters
        (InternalPipeStream autoload)
        Iterator
        JISEncodedString
        (KSCEncodedString autoload)
        (KeywordInContextIndexBuilder autoload)
        (LazyArray autoload)
        (LazyCons autoload)
        (LazyValue autoload)
        LineSegment
        List
        MappedCollection
        (MessageChannel autoload)
        Monitor
        NameLookupError
        (NumberSet autoload)
        (OperationQueue autoload)
        OrderedDictionary
        OrderedSet
        Polygon
        (PowerSet autoload)
        PrinterStream
        PrintfScanf
        Promise
        Queue
        Random
        RandomGenerator
        (RandomParkMiller autoload)
        (RandomTT800 autoload)
        ReindexedCollection
        RunArray
        SequenceWithSentinel
        (SequenceableCollectionSorter autoload)
        (SerialPort win32)
        SharedCollection
        Singleton
        Socket
        SocketAddress
        SocketAddressInfo
        SoundStream
        Spline 
        ArrowedSpline 
        (SplittingWriteStream autoload)
        Stack
        Text
        TextStream
        TimeDuration
        URI
        UUID
        UnboxedIntegerArray
        UndoSupport
        UnitConverter
        (UnixPTYStream autoload)
        (ValueLink autoload)
        (WinAPIFunction autoload)
        #'stx_libbasic2'
        Arrow
        Base32Coder
        Base64Coder
        CacheDictionaryWithFactory
        HierarchicalURI
        HostAddressLookupError
        HostNameLookupError
        IPSocketAddress
        IntegerArray
        LongIntegerArray
        PostscriptPrinterStream
        SharedQueue
        SignedIntegerArray
        SignedLongIntegerArray
        SignedWordArray
        TimedPromise
        UDSocketAddress
        Unicode32String
        WordArray
        ZipStream
        FileURI
        FtpURI
        HttpURI
        IPv6SocketAddress
        ZipArchive
        HTMLUtilities
        IncrementNotification
        PhoneticStringUtilities
        StringUtilities
        AATree
        AATreeNode
        BTree 
        (TSTree autoload)
        (TreeSet autoload)
        Lazy
        Future
        Heap
        SelectingReadStream
        CollectingReadStream
        FilteringStream
        LineNumberReadStream
        FilteringLineStream
    )
!

extensionMethodNames
    ^ #(
	Object addInterest:
	Object expressInterestIn:for:sendBack:
	Object interests
	Object interestsFor:
	Object onChangeEvaluate:
	Object onChangeSend:to:
	Object removeInterest:
	Object retractInterestIn:for:
	Object retractInterests
	Object retractInterestsFor:
	Object retractInterestsForWhich:
	Object retractInterestsIn:
	Object when:send:to:
	CharacterArray asKoelnerPhoneticCode
	CharacterArray asSoundexCode
    )
! !

!stx_libbasic2 class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Additional Basic Classes'

    "Modified: / 14-09-2006 / 10:57:15 / cg"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2009\nCopyright eXept Software AG 1998-2009'

    "Modified: / 08-11-2007 / 16:58:12 / cg"
! !

!stx_libbasic2 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/stx_libbasic2.st,v 1.64 2009-12-11 09:29:13 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic2/stx_libbasic2.st,v 1.64 2009-12-11 09:29:13 cg Exp $'
! !
